Retry a request (start a new attempt)
POST
/api/v1/requests/{id}/retry
const url = 'https://example.com/api/v1/requests/example/retry';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"force":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/requests/example/retry \ --header 'Content-Type: application/json' \ --data '{ "force": true }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
force
boolean
Responses
Section titled “ Responses ”Success
Media type application/json
object
requestId
required
string
runId
required
string
attemptNumber
required
integer
Request not found
Conflict — request is not in a retryable state, or a concurrent retry won the race
Cannot retry — current run not yet terminal